Skip to content

Get AgreementsDeprecated

Operation
wsdlGetAgreements
SOAP Action
uri:FlexForce/GetAgreements
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return agreements from Quinyx WFM. Deprecated — use wsdlGetAgreementsV2 instead.


Request

Message: wsdlGetAgreementsRequest

apiKeystringrequired

API key of the unit.

FormatXXXX-XXXX-XXXX-XXXX
sectionIdint

Internal section id, set to 0 if no selection shall be done on section

employeeIdint

Internal employee id, set to 0 if no selection shall be done on employee id

badgeNostring

Employee badge no, leave empty if no selection shall be done on badge no

lastModifiedstring

Selects agreements that has been modified after this date, leave empty if this selection shall be ignored.

FormatYYYY-MM-DD hh:mm:ss
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/GetAgreements"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetAgreements>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <sectionId xsi:type="xsd:int">0</sectionId>
    <employeeId xsi:type="xsd:int">0</employeeId>
    <badgeNo xsi:type="xsd:string">string</badgeNo>
    <lastModified xsi:type="xsd:string">string</lastModified>
    </tns:wsdlGetAgreements>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetAgreementsResponse

returnArray<Agreement>

Array of Agreement records; payload type for the legacy wsdlGetAgreements.

itemAgreement

The full agreement record returned by wsdlGetAgreements (deprecated — use wsdlGetAgreementsV2).

idintrequired

Internal id of the agreement.

Example56781
persIdintrequired

Internal id of the employee.

Example15436
badgeNostringrequired

Employee badge no.

weekHoursdecimalrequired

Full-time working hours.

Example40.10
minHoursdecimalrequired

Not used.

Example0.00
maxHoursdecimalrequired

Not used.

Example0.00
salarydecimalrequired

Hourly salary — the first salary entry on the agreement.

Example156.00
premiumSalarydecimalrequired

Not used.

Example0.00
premiumSalary2decimalrequired

Not used.

Example0.00
premiumSalary3decimalrequired

Not used.

Example0.00
periodTypeintrequired

Schedule period type.

Values
0monthly
1daily
periodDayintrequired

Not used.

Example0
periodStartdaterequired

First day in the schedule period.

FormatYYYY-MM-DD
periodLengthintrequired

Number of days or months in the schedule period.

Example7
weeklyAvgdecimalrequired

Average working hours per week.

Example40.00
empLeveldecimalrequired

Employment level, where 1.00 = 100%. The first employment rate on the agreement.

Example1.00
templateIdintrequired

Internal template id; use wsdlGetAgreementTemplates to list agreement templates and their ids. Set to 0 if no template shall be assigned to the agreement.

Example879
hourlyintrequired

Indicates whether the employee is hourly employed.

Values
0false
1true
fromDatedaterequired

Agreement start date.

FormatYYYY-MM-DD
toDatedaterequired

Agreement end date. If expires is 0 (false) this date is unused, as the agreement then never expires.

FormatYYYY-MM-DD
expiresintrequired

Indicates whether the agreement has an expiry date.

Values
0false
1true
commentstringrequired

Free comment text.

vacationsArray<Vacation>required

List of future absence.

redDaysArray<xsd:string>required

List of bank holidays.

FormatYYYY-MM-DD
overTime1Array<OverTime>required

Not used.

overTime2Array<OverTime>required

Not used.

overTime3Array<OverTime>required

Not used.

xtraworkArray<Xtrawork>required

Lists the employee's notices of interest.

shiftsArray<Shift>required

Not used.

tsdateTimerequired

Timestamp of when the agreement was last modified.

Example2016-02-29T16:49:22+01:00
restIdintrequired

Internal id of the unit.

Example193
extAgreementIdstring

External id of the agreement. Can be used in integrations to identify the agreement with an external code; also supported when updating via wsdlUpdateAgreements.

ExampleX001
roundingBreaksintrequired

Indicates whether punched breaks shall be rounded to match scheduled breaks.

Values
0false
1true
punchRoundingsArray<punchRounding>required

List of time-punch derivation rules.

agreementOvertimeMethodsArray<agreementOvertimeMethod>required

List of overtime methods related to the agreement.

isMainAgreementbooleanrequired

Indicates whether the agreement is the employee's main agreement.

additionalField1stringrequired

Free text field.

additionalField2stringrequired

Free text field.

additionalField3stringrequired

Free text field.

additionalField4stringrequired

Free text field.

additionalField5stringrequired

Free text field.

monthlySalarydecimalrequired

The first salary entry on the agreement.

customMonthlyHoursDivisordecimalrequired
namestring

Agreement's name.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetAgreementsResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Agreement[1]">
      <item xsi:type="tns:Agreement">
        <id xsi:type="xsd:int">56781</id>
        <persId xsi:type="xsd:int">15436</persId>
        <badgeNo xsi:type="xsd:string">string</badgeNo>
        <weekHours xsi:type="xsd:decimal">40.10</weekHours>
        <minHours xsi:type="xsd:decimal">0.00</minHours>
        <maxHours xsi:type="xsd:decimal">0.00</maxHours>
        <salary xsi:type="xsd:decimal">156.00</salary>
        <premiumSalary xsi:type="xsd:decimal">0.00</premiumSalary>
        <premiumSalary2 xsi:type="xsd:decimal">0.00</premiumSalary2>
        <premiumSalary3 xsi:type="xsd:decimal">0.00</premiumSalary3>
        <periodType xsi:type="xsd:int">0</periodType>
        <periodDay xsi:type="xsd:int">0</periodDay>
        <periodStart xsi:type="xsd:date">2024-01-01</periodStart>
        <periodLength xsi:type="xsd:int">7</periodLength>
        <weeklyAvg xsi:type="xsd:decimal">40.00</weeklyAvg>
        <empLevel xsi:type="xsd:decimal">1.00</empLevel>
        <templateId xsi:type="xsd:int">879</templateId>
        <hourly xsi:type="xsd:int">0</hourly>
        <fromDate xsi:type="xsd:date">2024-01-01</fromDate>
        <toDate xsi:type="xsd:date">2024-01-01</toDate>
        <expires xsi:type="xsd:int">0</expires>
        <comment xsi:type="xsd:string">string</comment>
        <vacations xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Vacation[1]">
          <item xsi:type="tns:Vacation">
            <fromDate xsi:type="xsd:date">2024-01-01</fromDate>
            <fromTime xsi:type="xsd:string">string</fromTime>
            <toDate xsi:type="xsd:date">2024-01-01</toDate>
            <toTime xsi:type="xsd:string">string</toTime>
          </item>
        </vacations>
        <redDays xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </redDays>
        <overTime1 xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OverTime[1]">
          <item xsi:type="tns:OverTime">
            <startPeriod1 xsi:type="xsd:int">0</startPeriod1>
            <endPeriod1 xsi:type="xsd:int">0</endPeriod1>
            <startPeriod2 xsi:type="xsd:int">0</startPeriod2>
            <endPeriod2 xsi:type="xsd:int">0</endPeriod2>
          </item>
        </overTime1>
        <overTime2 xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OverTime[1]">
          <item xsi:type="tns:OverTime">
            <startPeriod1 xsi:type="xsd:int">0</startPeriod1>
            <endPeriod1 xsi:type="xsd:int">0</endPeriod1>
            <startPeriod2 xsi:type="xsd:int">0</startPeriod2>
            <endPeriod2 xsi:type="xsd:int">0</endPeriod2>
          </item>
        </overTime2>
        <overTime3 xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OverTime[1]">
          <item xsi:type="tns:OverTime">
            <startPeriod1 xsi:type="xsd:int">0</startPeriod1>
            <endPeriod1 xsi:type="xsd:int">0</endPeriod1>
            <startPeriod2 xsi:type="xsd:int">0</startPeriod2>
            <endPeriod2 xsi:type="xsd:int">0</endPeriod2>
          </item>
        </overTime3>
        <xtrawork xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Xtrawork[1]">
          <item xsi:type="tns:Xtrawork">
            <fromDate xsi:type="xsd:date">2024-01-01</fromDate>
            <fromTime xsi:type="xsd:string">string</fromTime>
            <toDate xsi:type="xsd:date">2024-01-01</toDate>
            <toTime xsi:type="xsd:string">string</toTime>
          </item>
        </xtrawork>
        <shifts xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Shift[1]">
          <item xsi:type="tns:Shift">
            <scheduleId xsi:type="xsd:string">134</scheduleId>
            <begDate xsi:type="xsd:date">2018-01-02</begDate>
            <endDate xsi:type="xsd:date">2018-01-02</endDate>
            <begTime xsi:type="xsd:string">12:26:00</begTime>
            <endTime xsi:type="xsd:string">17:26:00</endTime>
            <begBreak xsi:type="xsd:string">00:00:00</begBreak>
            <endBreak xsi:type="xsd:string">00:00:00</endBreak>
            <begBreak2 xsi:type="xsd:string">00:00:00</begBreak2>
            <endBreak2 xsi:type="xsd:string">00:00:00</endBreak2>
            <begBreak3 xsi:type="xsd:string">00:00:00</begBreak3>
            <endBreak3 xsi:type="xsd:string">00:00:00</endBreak3>
            <begBreak4 xsi:type="xsd:string">00:00:00</begBreak4>
            <endBreak4 xsi:type="xsd:string">00:00:00</endBreak4>
            <persId xsi:type="xsd:string">16</persId>
            <badgeNo xsi:type="xsd:string">19888</badgeNo>
            <shiftCategoryId xsi:type="xsd:string">10</shiftCategoryId>
            <agreementId xsi:type="xsd:int">0</agreementId>
            <extScheduleId xsi:type="xsd:string">string</extScheduleId>
            <deleteShift xsi:type="xsd:int">0</deleteShift>
            <sectionId xsi:type="xsd:int">0</sectionId>
            <extSectionId xsi:type="xsd:string">string</extSectionId>
            <comment xsi:type="xsd:string">Description content</comment>
            <countsAsScheduledHours xsi:type="xsd:boolean">true</countsAsScheduledHours>
            <isFreeDay xsi:type="xsd:boolean">true</isFreeDay>
            <shiftTypeExtCode xsi:type="xsd:string">string</shiftTypeExtCode>
            <costCentreId xsi:type="xsd:int">0</costCentreId>
            <costCentreExtCode xsi:type="xsd:string">string</costCentreExtCode>
            <projectId xsi:type="xsd:int">0</projectId>
            <projectExtCode xsi:type="xsd:string">string</projectExtCode>
            <accountId xsi:type="xsd:int">0</accountId>
            <accountExtCode xsi:type="xsd:string">string</accountExtCode>
            <replaceTasks xsi:type="xsd:boolean">true</replaceTasks>
            <tasks xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Task[1]">
              <item xsi:type="tns:Task">
                <shiftTypeExtCode xsi:type="xsd:string">string</shiftTypeExtCode>
                <shiftTypeId xsi:type="xsd:int">12</shiftTypeId>
                <begTime xsi:type="xsd:string">14:45:00</begTime>
                <endTime xsi:type="xsd:string">15:15:00</endTime>
              </item>
            </tasks>
            <applyShiftTypeRules xsi:type="xsd:boolean">true</applyShiftTypeRules>
            <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
              <item xsi:type="xsd:string">string</item>
            </validationErrors>
          </item>
        </shifts>
        <ts xsi:type="xsd:dateTime">2016-02-29T16:49:22+01:00</ts>
        <restId xsi:type="xsd:int">193</restId>
        <extAgreementId xsi:type="xsd:string">X001</extAgreementId>
        <roundingBreaks xsi:type="xsd:int">0</roundingBreaks>
        <punchRoundings xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:punchRounding[1]">
          <item xsi:type="tns:punchRounding">
            <type xsi:type="xsd:int">0</type>
            <punchPart xsi:type="xsd:int">0</punchPart>
            <insideShift xsi:type="xsd:int">0</insideShift>
            <roundingRule xsi:type="xsd:int">0</roundingRule>
            <minutes xsi:type="xsd:decimal">0</minutes>
          </item>
        </punchRoundings>
        <agreementOvertimeMethods xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:agreementOvertimeMethod[1]">
          <item xsi:type="tns:agreementOvertimeMethod">
            <overtimeMethodId xsi:type="xsd:int">0</overtimeMethodId>
            <order xsi:type="xsd:int">0</order>
          </item>
        </agreementOvertimeMethods>
        <isMainAgreement xsi:type="xsd:boolean">true</isMainAgreement>
        <additionalField1 xsi:type="xsd:string">string</additionalField1>
        <additionalField2 xsi:type="xsd:string">string</additionalField2>
        <additionalField3 xsi:type="xsd:string">string</additionalField3>
        <additionalField4 xsi:type="xsd:string">string</additionalField4>
        <additionalField5 xsi:type="xsd:string">string</additionalField5>
        <monthlySalary xsi:type="xsd:decimal">0</monthlySalary>
        <customMonthlyHoursDivisor xsi:type="xsd:decimal">0</customMonthlyHoursDivisor>
        <name xsi:type="xsd:string">string</name>
      </item>
    </return>
    </tns:wsdlGetAgreementsResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2016-02-29 Updated to new format
2016-02-29 Added new information: - new overtime methods - Punch rounding - isMainAgreement